// Includes
#include "template.h"

// Namespace
using namespace AGK;

app App;

void app::Begin(void)
{
	agk::SetVirtualResolution(1024, 768);
	agk::SetClearColor(125, 170, 204); // light blue
	agk::SetBorderColor(125, 125, 0);
	agk::SetSyncRate(60, 0);
	agk::SetScissor(0, 0, 0, 0);

	agk::CreateObjectBox(1, 5, 5, 5);
	agk::SetObjectColor(1, 125, 0, 0, 255);
}

void app::Loop(void)
{
	//	agk::Print( "Hello World" );

	if (agk::GetObjectExists(1) == (INT)true)
	{
		agk::RotateObjectGlobalY(1, 1);
	}

	agk::Sync();
}


void app::End(void)
{
}
